TruSTAR Documentation
  • Rest API
    • Version 1.2
      • Reports
        • Report Submission
        • Update Report
        • Get Report Details
        • Delete Report
        • Get Reports
        • Find Correlated Reports
      • Indicators
        • Get Latest Indicators
        • Find Indicators
        • Get Trending Community Indicators
      • Tags
        • Get Enclave Tags For Report
        • Add Enclave Tag To Report
        • Delete Enclave Tag From Report
    • Version 1.3
      • Ping
      • Version
      • Request Quotas
      • Reports
        • Submit Report
        • Update Report
        • Upsert Report
        • Get Report Details
        • Delete Report
        • Copy Report
        • Move Report
        • Find Correlated Reports
        • Search Reports
        • Redact Report
        • Get Report Status
      • Indicators
        • Get Indicators for Report
        • Find Related Indicators
        • Search Indicators
        • Get Whitelist
        • Add to Whitelist
        • Delete from Whitelist
        • Get Indicator Metadata
        • Submit Indicators
        • Get Indicator Summaries
      • Tags
        • Get All Report Tags
        • Get Tags For Report
        • Alter Report Tags
        • Add Tag To Report (Deprecated)
        • Delete Tag From Report (Deprecated)
        • Get All Indicator Tags
        • Add Tag to Indicator
        • Delete Tag from Indicator
      • Enclaves
        • Get Enclaves
      • Phishing Triage
        • Get Phishing Submissions
        • Set Triage Status
        • Get Phishing Indicators
      • Errors
        • Invalid OAuth2 Token (400)
        • Expired OAuth2 Token (400)
        • Bad Request (400)
        • Unauthorized (401)
        • Forbidden (403)
        • Not Found (404)
        • Payload Too Large (413)
        • Query String Too Long (414)
        • Too Many Requests (429)
        • Internal Server Error (500)
      • Deprecated
        • Get Trending Community Indicators
        • Get Indicator List
        • Get Reports
    • Version 2.0
  • Python SDK
    • Quick Start
    • TruStar (Main Class)
      • Reports
        • Get Report Details
        • Submit Report
        • Update Report
        • Delete Report
        • Copy Report
        • Move Report
        • Get Reports
        • Get Reports (Page)
        • Get Correlated Reports
        • Get Correlated Reports (Page)
        • Search Report
        • Search Report (Page)
      • Indicators
        • Get Indicators for Report
        • Get Indicators for Report (Page)
        • Get Related Indicators
        • Get Related Indicators (Page)
        • Search Indicators
        • Search Indicators (Page)
        • Get Whitelist
        • Get Whitelist (Page)
        • Get Indicators
        • Get Indicators (Page)
        • Get Indicator Summaries
        • Get Indicator Summaries (Page)
        • Add Terms to Whitelist
        • Delete Indicator from Whitelist
        • Get Community Trends
        • Submit Indicators
        • Get Indicators Metadata
        • Get Indicator Metadata (Deprecated)
      • Tags
        • Get Enclave Tags for Report
        • Alter Report Tags
        • Add Enclave Tag to Report (Deprecated)
        • Delete Enclave Tag from Report (Deprecated)
        • Get All Enclave Tags
        • Add Indicator Tag
        • Delete Indicator Tag
        • Get All Indicator Tags
      • Enclaves
        • Get Enclaves
      • Phishing Triage
        • Get Phishing Submissions
        • Get Phishing Submissions (Page)
        • Set Triage Status
        • Get Phishing Indicators
        • Get Phishing Indicators (Page)
      • Utility
        • Log
        • Ping
        • Version
        • Get Request Quotas
    • Models
      • Report
      • Indicator
      • Indicator Summary
      • Intelligence Source
      • Tag
      • Enclave
      • Enclave Permissions
      • Page
      • NumberedPage
      • CursorPage
      • Request Quota
      • PhishingSubmission
      • PhishingIndicator
    • Examples
      • Ingest Report CSV
      • Create Indicators CSV
      • Delete Reports
      • Pagination
TruSTAR Documentation
  • Docs »
  • TruSTAR API »
  • Version 1.2 »
  • Indicators »
  • Get Community Trending Indicators

Get Community Trending Indicators¶

GET /1.2/community-indicators/trending?type={type}&from={from}&to={to}&startPage={start_page}&pageSize={page_size}

Description¶

Return trending community IOCs, Malware, and Vulnerabilities (CVEs). This is analogous to the Community Trends section of the dashboard on Station.

Parameters¶

Warning

This endpoint has been significantly altered. The results for this query are now being cached for time periods of 1, 3, 7, and 30 days. The interval given by from and to will be rounded to the nearest time period for which cached results exist. The result will always contain the first 10 results, thus startPage and pageSize are ignored. We recommend migrating to API v1.3 as soon as possible to use the proper interface for this endpoint.

Parameter Required Description
type X The type of indicators to be returned Available types: MALWARE, CVE, or OTHER (for all IOCs except for Malware and CVEs).
from   The start time of the query in seconds since Unix epoch. Defaults to 1 day ago.
to   The start time of the query in seconds since Unix epoch. Defaults to 1 day ago.
startPage   This parameter is no longer used.
pageSize   This parameter is no longer used.

Responses¶

200 (OK)¶

An object with pagination information and a list of the resulting trending indicators with their ids, titles, and correlation counts.

{
    "moreResults": <boolean>,
    "pageNumber": <current page number>,
    "totalPages": <total number of pages>,
    "data": {
        "items": [
            {
                "indicatorType": "<indicator type>",
                "correlationCount": <number of correlations>,
                "value": "<indicator value>"
            },
            ...
        ]
    },
    "pageSize": <max results per page>,
    "totalElements": <number results returned>,
    "elementCount": <number of results returned>
}

400 (Bad Request)¶

{
    "timestamp": 1509395506281,
    "status": 400,
    "error": "Bad Request",
    "message": "unrecognized trending IOC type: blah",
    "path": "/api/1.2/community-indicators/trending"
}

Example Usage¶

Request¶

curl -k -H "Authorization: Bearer {access_token}" "https://api.trustar.co/api/1.2/community-indicators/trending?type=other&pageSize=25&startPage=0&from=1509131449000&to=1509134866764"

Response¶

{
    "moreResults": false,
    "pageNumber": 0,
    "totalPages": 1,
    "data": {
        "items": [
            {
                "value": "subaat.com",
                "indicatorType": "URL",
                "correlationCount": 1
            },
            {
                "value": "http://subaat.com/files/sp.exe",
                "indicatorType": "URL",
                "correlationCount": 1
            },
            {
                "value": "5.189.157.215",
                "indicatorType": "IP",
                "correlationCount": 1
            },
            {
                "value": "115.186.136.237",
                "indicatorType": "IP",
                "correlationCount": 1
            },
            {
                "value": "23.92.211.186",
                "indicatorType": "IP",
                "correlationCount": 1
            },
            {
                "value": "pkwebhost.net",
                "indicatorType": "URL",
                "correlationCount": 1
            },
            {
                "value": "https://researchcenter.paloaltonetworks.com",
                "indicatorType": "URL",
                "correlationCount": 1
            },
            {
                "value": "https://researchcenter.paloaltonetworks.com/2017/10/unit42-tracking-subaat-targeted-phishing-attacks-point-leader-threat-actors-repository",
                "indicatorType": "URL",
                "correlationCount": 1
            }
        ]
    },
    "pageSize": 25,
    "totalElements": 8,
    "elementCount": 8
}
Next Previous

© Copyright 2017, TruSTAR.

Built with Sphinx using a theme provided by Read the Docs.